<?php
namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreUser extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [];
    }
    
    public function messages()
    {
        return [
            // 'recaptcha.required' => 'Captcha required',
            // 'recaptcha.captcha' => 'Captcha required'
        ];
    }
    
    public function withValidator($validator)
    {
        // $validator->sometimes('recaptcha', 'required|captcha', function ($input) {
        //     return true;
        // });
    }
}